aboutsummaryrefslogtreecommitdiffstats
path: root/x11/xfce4-xkb-plugin/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-10-29 08:52:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-10-29 08:52:07 +0000
commita3b840471513712072f957a5d44857034d6e844f (patch)
tree0e94974b0ab85c697445e9f884c7392422a6f183 /x11/xfce4-xkb-plugin/APKBUILD
parent367335369b3032f0001a749bc16dd9c9261c3c37 (diff)
downloadaports-a3b840471513712072f957a5d44857034d6e844f.tar.gz
aports-a3b840471513712072f957a5d44857034d6e844f.tar.bz2
aports-a3b840471513712072f957a5d44857034d6e844f.tar.xz
x11/xfce4-xkb-plugin: patch for building against new libxklavier
Diffstat (limited to 'x11/xfce4-xkb-plugin/APKBUILD')
-rw-r--r--x11/xfce4-xkb-plugin/APKBUILD20
1 files changed, 15 insertions, 5 deletions
diff --git a/x11/xfce4-xkb-plugin/APKBUILD b/x11/xfce4-xkb-plugin/APKBUILD
index 25b56615d8..c7136cee38 100644
--- a/x11/xfce4-xkb-plugin/APKBUILD
+++ b/x11/xfce4-xkb-plugin/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xfce4-xkb-plugin
pkgver=0.5.3.3
-pkgrel=0
+pkgrel=1
pkgdesc="plugin to switch keyboard layouts for the Xfce4 panel"
url="http://goodies.xfce.org/projects/panel-plugins/xfce4-xkb-plugin"
license="custom"
@@ -9,10 +9,15 @@ subpackages="$pkgname-doc"
depends=
makedepends="xfce4-panel-dev libxklavier-dev librsvg-dev intltool libwnck-dev
libxi-dev libxkbfile-dev libsm-dev libgsf-dev e2fsprogs-dev bzip2-dev"
-source="http://goodies.xfce.org/releases/$pkgname/$pkgname-$pkgver.tar.gz"
+source="http://goodies.xfce.org/releases/$pkgname/$pkgname-$pkgver.tar.gz
+ xfce4-xkb-plugin-0.5.3.3-libxklavier.patch"
-build ()
-{
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ patch -p1 -i ../xfce4-xkb-plugin-0.5.3.3-libxklavier.patch || return 1
+}
+
+build () {
cd "$srcdir"/$pkgname-$pkgver
./configure --prefix=/usr \
--sysconfdir=/etc \
@@ -20,7 +25,12 @@ build ()
--localstatedir=/var \
--disable-static
make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
make DESTDIR="$pkgdir" install || return 1
install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
}
-md5sums="b233cc9de1cbace075eaf6e2c9a8e685 xfce4-xkb-plugin-0.5.3.3.tar.gz"
+md5sums="b233cc9de1cbace075eaf6e2c9a8e685 xfce4-xkb-plugin-0.5.3.3.tar.gz
+f805bf4d31d1a55176e479a3c253df95 xfce4-xkb-plugin-0.5.3.3-libxklavier.patch"